#ifndef TREEITEM_H
#define TREEITEM_H

#include <QList>
#include <QDebug>

class TreeItem
{
public:
    TreeItem();
    ~TreeItem();

    TreeItem* getParent();
    QList<TreeItem*> getChildren();
    TreeItem* getChild(int index);//return 0 if index too large
    int getChildrenCount();

    void addChild(TreeItem* item);
    bool removeChild(TreeItem* item);
    void setParent(TreeItem* parent);

protected:
    TreeItem* parent;
    QList<TreeItem*> children;
};

#endif // TREEITEM_H
